Upstream-Status: Pending
From 63370cd87a59983543c94171d6e19358c693e358 Mon Sep 17 00:00:00 2001
From: Jay Buddhabhatti <jay.buddhabhatti@amd.com>
Date: Fri, 26 Aug 2022 08:38:32 +0200
Subject: [PATCH 002/295] firmware: xilinx: add support for Versal NET

Add driver support for Versal NET.

Signed-off-by: Jay Buddhabhatti <jay.buddhabhatti@amd.com>
Signed-off-by: Michal Simek <michal.simek@amd.com>
State: pending
---
 drivers/firmware/xilinx/zynqmp.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/drivers/firmware/xilinx/zynqmp.c b/drivers/firmware/xilinx/zynqmp.c
index 6bc6b6c84241..6396f13dbbc8 100644
--- a/drivers/firmware/xilinx/zynqmp.c
+++ b/drivers/firmware/xilinx/zynqmp.c
@@ -1721,10 +1721,13 @@ static int zynqmp_firmware_probe(struct platform_device *pdev)
 	np = of_find_compatible_node(NULL, NULL, "xlnx,zynqmp");
 	if (!np) {
 		np = of_find_compatible_node(NULL, NULL, "xlnx,versal");
-		if (!np)
-			return 0;
-
-		feature_check_enabled = true;
+		if (np) {
+			feature_check_enabled = true;
+		} else {
+			np = of_find_compatible_node(NULL, NULL, "xlnx,versal-net");
+			if (!np)
+				return 0;
+		}
 	}
 
 	if (!feature_check_enabled) {
@@ -1815,6 +1818,7 @@ static int zynqmp_firmware_remove(struct platform_device *pdev)
 static const struct of_device_id zynqmp_firmware_of_match[] = {
 	{.compatible = "xlnx,zynqmp-firmware"},
 	{.compatible = "xlnx,versal-firmware"},
+	{.compatible = "xlnx,versal-net-firmware"},
 	{},
 };
 MODULE_DEVICE_TABLE(of, zynqmp_firmware_of_match);
-- 
2.34.1

